#ifndef __JABYENGINE_CD_FILE_TYPES_HPP__
#define __JABYENGINE_CD_FILE_TYPES_HPP__
#include "../Overlay/overlay.hpp"
#include "file_types.hpp"

enum struct CDFileType : uint8_t {
    SimpleTIM = 0,
    Custom
};

struct __no_align CDFile {
    union __no_align Payload {
        uint32_t  empty;
        SimpleTIM simple_tim;
    };

    uint8_t    rel_lba_idx;
    CDFileType type;
    Payload    payload;
};

namespace CDFileBuilder {
    static constexpr CDFile simple_tim(uint8_t rel_lba_idx, SimpleTIM simple_tim) {
        return CDFile{.rel_lba_idx = rel_lba_idx, .type = CDFileType::SimpleTIM, .payload = {.simple_tim = simple_tim}};
    }
}
#endif //!__JABYENGINE_CD_FILE_TYPES_HPP__