#ifndef BOOT_LOADER_HPP
#define BOOT_LOADER_HPP
#include <PSX/jabyengine.h>

namespace GPU {
    void display_logo();
    void setup();
}

namespace SPU {
    void stop_voices();
    void setup();
}

namespace Setup {
    JabyEngine::NextRoutine start();
}

namespace BootFile {
    JabyEngine::NextRoutine setup();
}

#endif //!BOOT_LOADER_HPP